Get campaign description

Retrieve the full details of a specific campaign by ID. This API is used to fetch all configured campaign settings and values, including its status, dialer parameters, and agent group assignments.

📢

This legacy information is part of v1, v2, or v3, which will be supported only until March 31, 2027. To avoid disruption, migrate your integration to v4 before that date. For endpoint mappings, Bearer token authentication, and scoped API key guidance, see the Migrating to v4 article in the Developer's Guide.

This API is used to fetch all configured campaign settings and values, including its status, dialer parameters, and agent group assignments.

Prerequisites

  • You must have access to your contact center API key.
  • You must know the campaign ID of the campaign you wish to retrieve.

Endpoint

GET /api/v1/campaigns/{campaign_id}

Path parameters

ParameterDescriptionTypeRequired
campaign_idThe numeric ID of the campaign to retrieve.numberYes

Authentication

This endpoint requires authentication using the Contact Center Bearer Token. The token must be included in the request header:

Authorization: Bearer {contactcenter_token}

Response

Returns the complete configuration and status of the specified campaign.

ElementSub-elementDescriptionTypeNotes
idThe unique identifier of the campaign.integer
nameThe name of the campaign.string
strategyThe campaign strategy type.stringPossible values are: simple, predictive_ai. predictive_ai is available only if Dialer AI is enabled for contact center.
dialing_orderThe order in which contacts are dialed for live campaigns.stringPossible values are: disabled, oldest_first, newest_first. Available only if the Dialing order feature is enabled for the contact center.
dial_levelThe number of parallel attempts to dial a contact for one available agent.integer
dial_level_overrideSettings for overriding the dial level based on the number of active agents.object
enabledWhether the dial level override is enabled.boolean
override_valueThe dial level to use when the number of active agents drops to the threshold value.numberfloat
active_agents_thresholdThe number of active agents at which to apply the override dial level.integer
max_dial_timeThe maximum time in seconds to spend dialing a contact.integerIn seconds.
max_wait_timeThe maximum time in seconds to wait for an agent when a contact answers the call.integerIn seconds.
max_dial_attemptsThe maximum number of attempts to dial a contact.integer
voice_messageThe name of an audio file that will be played as a voice message.string
answering_machine_detectionWhether Answering Machine Detection is enabled for calls.boolean
liveWhether or not the campaign type is live.boolean
survey_enabledThe ability for contact to rate a call after the call ends.boolean
local_time_settingsThe time settings for calls.objectAvailable only if Dialer contact local time is enabled for contact center.
call_fromThe time of day when calls to contacts can start.stringHH:MM
call_toThe time of day when calls to contacts must stop.stringHH:MM
week_daysThe days of the week when calls to contacts can be made.array of stringsExample values are: Mon, Tue, Wed, Thu, Fri.
caller_id_setsThe Caller ID sets for the campaign.array of objects
numbersThe phone numbers assigned to the Caller ID set.array of stringsThis field is contained within each object in caller_id_sets.
local_caller_idWhether to use only Caller IDs that match the destination country or region.boolean
redial_rulesThe rules for redialing contacts based on call outcomes.object
A redial rule definition.objectApplies to each object within redial_rules outcome arrays.
assigned_agentsList of agent email addresses assigned to the campaign.array of strings

Redial rules

ElementSub elementDescriptionTypeNotes
redial_rulesThe rules for redialing contacts based on call outcomes.object
machine_answeredRules applied when a machine answers.array of objectsEach item is a Redial rule object.
abandonedRules applied when the call is abandoned.array of objectsEach item is a Redial rule object.
no_answerRules applied when there is no answer.array of objectsEach item is a Redial rule object.
rejectedRules applied when the call is rejected.array of objectsEach item is a Redial rule object.
failedRules applied when the call fails.array of objectsEach item is a Redial rule object.
busyRules applied when the line is busy.array of objectsEach item is a Redial rule object.

Redial rule object

ElementSub elementDescriptionTypeNotes
Redial ruleA rule definition used in each redial_rules outcome array.object
unitsThe time units for the rule.stringPossible values are: s, m, h.
waitThe maximum time to wait before redialing.integer
change_calleridWhether to switch the Caller ID set when redialing.booleanOptional.

The full structure of the response may vary depending on the dialer mode or campaign type.

Response example

{
  "id": 12345,
  "name": "Campaign (154)",
  "strategy": "simple",
  "dialing_order": "oldest_first",
  "dial_level": 1,
  "dial_level_override": {
    "enabled": true,
    "override_value": 1.5,
    "active_agents_threshold": 3
  },
  "max_dial_time": 60,
  "max_wait_time": 5,
  "max_dial_attempts": 3,
  "voice_message": "Voice message (1)",
  "answering_machine_detection": true,
  "live": false,
  "survey_enabled": false,
  "local_time_settings": {
    "call_from": "08:00",
    "call_to": "22:00",
    "week_days": [
      "Mon",
      "Tue",
      "Wed",
      "Thu",
      "Fri"
    ]
  },
  "caller_id_sets": [
    {
      "numbers": [
        "100"
      ]
    }
  ],
  "local_caller_id": false,
  "redial_rules": {
    "machine_answered": [
      {
        "units": "s",
        "wait": 600,
        "change_callerid": true
      }
    ],
    "abandoned": [
      {
        "units": "s",
        "wait": 600,
        "change_callerid": true
      }
    ],
    "no_answer": [
      {
        "units": "s",
        "wait": 600,
        "change_callerid": true
      }
    ],
    "rejected": [
      {
        "units": "s",
        "wait": 600,
        "change_callerid": true
      }
    ],
    "failed": [
      {
        "units": "s",
        "wait": 600,
        "change_callerid": true
      }
    ],
    "busy": [
      {
        "units": "s",
        "wait": 600,
        "change_callerid": true
      }
    ]
  },
  "assigned_agents": [
    "[email protected]",
    "[email protected]"
  ]
}

Errors

CodeMessageDescription
401UnauthorizedMissing or invalid bearer token.
404Campaign not foundNo campaign exists with the specified ID.

See also